Bug 488612 - Add etherboot package
Add etherboot package
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: etherboot (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
NwCmp: etherboot
:
Depends On: 488610
Blocks: RHEL5u4_relnotes 494958
  Show dependency treegraph
 
Reported: 2009-03-04 17:03 EST by Perry Myers
Modified: 2013-01-09 16:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
the <filename>etherboot</filename> package has been added in this update, providing the capability to boot guest virtual machines using the Preboot eXecution Environment (PXE). This process occurs before the OS is loaded and sometimes the OS no knowledge that it was booted through PXE. Support for etherboot is limited to usage in the KVM context.
Story Points: ---
Clone Of:
: 494958 (view as bug list)
Environment:
Last Closed: 2009-09-02 05:37:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2009-03-04 17:03:35 EST
Required for kvm package to support network card emulation
Comment 2 Eduardo Habkost 2009-03-30 13:19:36 EDT
Package approved by Juan Quintela at bug #488610. What's next?
Comment 3 Eduardo Habkost 2009-04-16 12:28:51 EDT
etherboot-5.4.4-9.el5 is on CVS and built on Brew.
Comment 5 Eduardo Habkost 2009-04-17 12:35:30 EDT
RHEA-2009:8451-01 was rejected. a separated advisory for etherboot will be filed.
Comment 9 Subhendu Ghosh 2009-07-07 11:18:08 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
"Etherboot is used by KVM to provide PXE booting capabilities for guest virtual machines. Support for etherboot is limited to it's usage in the
KVM context. Etherboot may be rebased at a future Red Hat Enterprise Linux 5 release"
Comment 10 Dor Laor 2009-07-07 18:10:19 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,2 +1 @@
-"Etherboot is used by KVM to provide PXE booting capabilities for guest virtual machines. Support for etherboot is limited to it's usage in the
+"Etherboot provides PXE booting capabilities to guest virtual machines, it runs before the OS is loaded and sometimes the OS has no knowledge that it was booted through PXE. Support for etherboot is limited to it's usage in the KVM context. Etherboot may be rebased at a future Red Hat Enterprise Linux 5 release. gPxe works too, in tech preview mode without an rpm by using the -option-rom cmdline"-KVM context. Etherboot may be rebased at a future Red Hat Enterprise Linux 5 release"
Comment 11 Jia Dong 2009-07-08 03:52:04 EDT
Checked on rhev-h beta9.1.

# rpm -qa|grep etherboot
etherboot-zroms-kvm-5.4.4-10.el5
#rpm -ql etherboot-zroms-kvm-5.4.4-10.el5
/usr/share/etherboot
/usr/share/etherboot/e1000-82542.zrom
/usr/share/etherboot/ne.zrom
/usr/share/etherboot/pcnet32.zrom
/usr/share/etherboot/rtl8139.zrom
/usr/share/etherboot/virtio-net.zrom

Using every zrom in that package to test qemu nic boot,they all work well.

This package was added and works.

So change status to verified.
Comment 13 Ryan Lerch 2009-07-27 01:05:42 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-"Etherboot provides PXE booting capabilities to guest virtual machines, it runs before the OS is loaded and sometimes the OS has no knowledge that it was booted through PXE. Support for etherboot is limited to it's usage in the KVM context. Etherboot may be rebased at a future Red Hat Enterprise Linux 5 release. gPxe works too, in tech preview mode without an rpm by using the -option-rom cmdline"+the <filename>etherboot</filename> package has been added in this update, providing the capability to boot guest virtual machines using the Preboot eXecution Environment (PXE). This process occurs before the OS is loaded and sometimes the OS no knowledge that it was booted through PXE. Support for etherboot is limited to usage in the KVM context.
Comment 14 errata-xmlrpc 2009-09-02 05:37:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1276.html

Note You need to log in before you can comment on or make changes to this bug.